## org.hornetq.spi.core.naming
Interface BindingRegistry

    public interface BindingRegistry

Abstract interface for a registry to store endpoints like connection factories into.

Version:
  $Revision: 1 $
Author:
  Bill Burke

Method Summary
`boolean` `bind(String name, Object obj)`
`void` `close()`
`Object` `getContext()` The context used by the registry.
`Object` `lookup(String name)`
`void` `setContext(Object ctx)`
`void` `unbind(String name)`

Method Detail

### getContext

    Object getContext()

  The context used by the registry. This may be used to setup the JNDI Context on the JNDI Registry. We keep it as an object here as the interface needs to be generic as this could be reused by others Registries (e.g set/get the Map on MapRegistry)

  Returns:

### setContext

    void setContext(Object ctx)

### lookup

    Object lookup(String name)

### bind

    boolean bind(String name,
                 Object obj)

### unbind

    void unbind(String name)

### close

    void close()

Copyright © 2009 Red Hat Inc. All Rights Reserved.